Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.util
Class AbstractRecyclable

    java.lang.Object
      josx.util.AbstractRecyclable

All Implemented Interfaces:
  Recyclable

Direct Known Subclasses:
  RecyclableArray

    public abstract class AbstractRecyclable

extends Object
implements Recyclable

Represents a recyclable object.

See Also:
  `Recycler`

Constructor Summary
`AbstractRecyclable()`

Method Summary
`Recyclable` | `getNextRecyclable()` Must return Recyclable most recently set with `setNextRecyclable`.
`abstract void` | `init()` Initializes the Recyclable.
`abstract void` | `release()` Called by users when this Recyclable is no longer needed.
`void` | `setNextRecyclable(Recyclable r)` Stores a Recyclable object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### AbstractRecyclable

    public AbstractRecyclable()

Method Detail

### init

    public abstract void init()

  Initializes the Recyclable.

  Specified by:
    `init` in interface `Recyclable`

### release

    public abstract void release()

  Called by users when this Recyclable is no longer needed.

  Specified by:
    `release` in interface `Recyclable`

### getNextRecyclable

    public Recyclable getNextRecyclable()

  Must return Recyclable most recently set with `setNextRecyclable`.

  Specified by:
    `getNextRecyclable` in interface `Recyclable`
  See Also:
    `Recyclable.setNextRecyclable(josx.util.Recyclable)`

### setNextRecyclable

    public void setNextRecyclable(Recyclable r)

  Stores a Recyclable object.

  Specified by:
    `setNextRecyclable` in interface `Recyclable`
  See Also:
    `Recyclable.getNextRecyclable()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD